Bug 19857 - Optionally hide SMS provider field in patron modification screen
Summary: Optionally hide SMS provider field in patron modification screen
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Lari Taskula
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 9021
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-21 11:56 UTC by Lari Taskula
Modified: 2018-06-04 20:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19857: Use BorrowerUnwantedField system preference for SMS provider selection (1.55 KB, patch)
2017-12-21 11:59 UTC, Lari Taskula
Details | Diff | Splinter Review
Bug 19857: Use BorrowerUnwantedField system preference for SMS provider selection (1.60 KB, patch)
2017-12-21 14:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19857: Use BorrowerUnwantedField system preference for SMS provider selection (1.66 KB, patch)
2017-12-22 00:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lari Taskula 2017-12-21 11:56:07 UTC
Optionally hide SMS provider field in patron modification screen with BorrowerUnwantedField system preference.
Comment 1 Lari Taskula 2017-12-21 11:59:15 UTC
Created attachment 70008 [details] [review]
Bug 19857: Use BorrowerUnwantedField system preference for SMS provider selection

Optionally hide SMS provider field in patron modification screen with
BorrowerUnwantedField system preference.

To test:
1. Apply patch
2. Append BorrowerUnwantedField with sms_provider_id and save changes
3. Go to patron modification screen in staff client
4. Observe the SMS provider selection is now hidden
Comment 2 Owen Leonard 2017-12-21 14:49:49 UTC
Created attachment 70039 [details] [review]
Bug 19857: Use BorrowerUnwantedField system preference for SMS provider selection

Optionally hide SMS provider field in patron modification screen with
BorrowerUnwantedField system preference.

To test:
1. Apply patch
2. Append BorrowerUnwantedField with sms_provider_id and save changes
3. Go to patron modification screen in staff client
4. Observe the SMS provider selection is now hidden

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2017-12-22 00:34:46 UTC
Created attachment 70092 [details] [review]
Bug 19857: Use BorrowerUnwantedField system preference for SMS provider selection

Optionally hide SMS provider field in patron modification screen with
BorrowerUnwantedField system preference.

To test:
1. Apply patch
2. Append BorrowerUnwantedField with sms_provider_id and save changes
3. Go to patron modification screen in staff client
4. Observe the SMS provider selection is now hidden

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2017-12-22 16:17:47 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-01-15 16:45:57 UTC
Awesome work all, pushed to stable for 17.11.02
Comment 6 Fridolin SOMERS 2018-01-22 09:42:04 UTC
Pushed to 17.05.x for v17.05.08